%bcond_with tests

Name:           python-requests
Version:        2.21.0
Release:        5
Summary:        Python HTTP Library
License:        ASL 2.0
URL:            http://python-requests.org/
Source0:        https://github.com/requests/requests/archive/v%{version}/requests-v%{version}.tar.gz

Patch0:         patch-requests-certs.py-to-use-the-system-CA-bundle.patch
Patch2:         Remove-tests-that-use-the-tarpit.patch
Patch3:         requests-2.12.4-tests_nonet.patch
Patch4:         Don-t-inject-pyopenssl-into-urllib3.patch
Patch5:         requests-2.20.0-no-py2-httpbin.patch

BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, as an alternative
to Python's builtin urllib2 which requires work (even
method overrides) to perform basic tasks.
Features of Requests:
 - GET, HEAD, POST, PUT, DELETE Requests:
   + HTTP Header Request Attachment.
   + Data/Params Request Attachment.
   + Multipart File Uploads.
   + CookieJar Support.
   + Redirection History.
   + Redirection Recursion Urllib Fix.
   + Automatic Decompression of GZipped Content.
   + Unicode URL Support.
 - Authentication:
   + URL + HTTP Auth Registry.

%package -n      python2-requests
Summary:         HTTP library, written in Python, for human beings
%{?python_provide:%python_provide python2-requests}
BuildRequires:   python2-devel python2-idna python2-chardet python2-urllib3
%if %{with tests}
BuildRequires:   python2-pytest python2-pytest-mock python2-pytest-cov
%endif
Requires:        ca-certificates python2-idna python2-chardet python2-urllib3

%description -n  python2-requests
This package exists only to allow packagers to uniformly depend on
python2-requests.

%package -n      python%{python3_pkgversion}-requests
Summary:         Awesome Python HTTP Library That's Actually Usable

%{?python_provide:%python_provide python%{python3_pkgversion}-requests}

BuildRequires:   python3-devel
BuildRequires:   python3-chardet
BuildRequires:   python3-urllib3
BuildRequires:   python3-idna
%if %{with tests}
BuildRequires:   python%{python3_pkgversion}-pytest
BuildRequires:   python%{python3_pkgversion}-pytest-cov
BuildRequires:   python%{python3_pkgversion}-pytest-httpbin
BuildRequires:   python%{python3_pkgversion}-pytest-mock
%endif

Requires:        python3-chardet
Requires:        python3-urllib3
Requires:        python3-idna

%description -n  python%{python3_pkgversion}-requests
Requests is an ISC Licensed HTTP library, written in Python, for human
beings.
Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most of
the HTTP capabilities you should need, but the api is thoroughly broken.
It requires an enormous amount of work (even method overrides) to
perform the simplest of tasks.

%package_help

%prep
%autosetup -p1 -n requests-%{version}
rm -rf requests/cacert.pem
sed -i '/#!\/usr\/.*python/d' requests/certs.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} -m pytest -v
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -v
%endif # tests

%files -n python2-requests
%license LICENSE
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/requests/

%files -n python%{python3_pkgversion}-requests
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/requests/


%files    help
%defattr(-,root,root)
%doc HISTORY.md README.md

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.21.0-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: delete describe info

* Fri Dec 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.21.0-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify the patch

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 2.21.0-3
- disable tests

* Thu Oct 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.21.0-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the provides of python3

* Wed Sep 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.21.0-1
- Package init

